**@openfin/web-interop** • [API](../../../README.md)

***

[@openfin/web-interop](../../../README.md) / [@openfin/web-interop](../README.md) / BaseConnectionOptions

# Type alias: BaseConnectionOptions

> **BaseConnectionOptions**: `Object`

## Type declaration

### brokerUrl

> **brokerUrl**: `string`

The URL of the Web Interop broker to connect to. Can be inherited from a parent browsing context if using an `<of-view>`

### interopConfig?

> **`optional`** **interopConfig**: `Partial`\<`OpenFin.InteropConfig`\>

Interop options to use to generate an interop client in `fin.me.interop`

### timeout?

> **`optional`** **timeout**: `number`

Tears down and cancels the connection attempt if it is not complete within the specified timeout (in ms).
